/*
 * @FilePath: \wwwd:\code\screenFront\src\store\module\MicrofactoryDev.ts
 * @Author: 王路平
 * @文件版本: V1.0.0
 * @Date: 2023-02-06 15:58:13
 * @Description:
 *
 * 版权信息         : 2023 by ${再登软件}, All Rights Reserved.
 */
import { defineStore } from "pinia";
import { Names } from "@/store/storeName";
import { development, production } from "@/utils/devSever";
export const useMicroExhibitionStore = defineStore(Names.MicroExhibition, {
  // 使用方式
  // const Index= useIndexStore()
  // 1、Index.{数据}++
  // 2、Index.$patch({数据:??})
  // 3、Index.$patch((state)=>{ state.数据=??})
  // 4、通过action修改
  state: () => {
    return {
      devlist: [],
      devnum: { all: 17, wait: 7, off: 3, on: 7 },
      caijian: {
        'value': [],
        'chart': {
          xData: [],
          series: []
        }
      },
      tuoxie: {
        'value': [ ],
        'chart': {
          xData: [],
          series: []
        }
      },
      "zuoyi": {
        "value": [ ],
        "chart": {
          "series": [],
          "xData": []
        }
      },
      "fengzhong": {
        "value": [ ],
        "chart": {
          "series": [],
          "xData": []
        }
      },
      "banfang": {
        "value": [],
        "chart": {
          "series": [],
          "xData": []
        }
      },
    };
  },
  //computed 修改一些值
  //需要使用return将数据抛出
  //getters内可相互使用计算结果
  //使用时可直接放入标签内<div>Index.方法()</div>
  getters: {},
  actions: {
    setDevlist(data) {
      this.devlist = data;
    },
    setDevnum(data) {
      this.devnum = data;
    },
    setcaijian(data) {

      data.chart.series = data.chart.series.map((item) => {
        item.type = 'bar'
        item.barMaxWidth = 30
        return item
      })
      this.caijian = data;
    },
    settuoxie(data) {

      data.chart.series = data.chart.series.map((item) => {
        item.type = 'bar'
        item.barMaxWidth = 45
        return item
      })
      this.tuoxie = data;
    },
    setfengzhong(data) {
      data.value = data.value.map((item,index) => {
        item.unshift(index+1)
        return item
      })
      data.chart.series = data.chart.series.map((item) => {
        item.type = 'bar'
        item.barMaxWidth = 30
        return item
      })
      this.fengzhong = data;
    },
    setbanfang(data) {
      data.value = data.value.map((item,index) => {
        item.unshift(index+1)
        return item
      })
      data.chart.series = data.chart.series.map((item) => {
        item.type = 'bar'
        item.barMaxWidth = 30
        return item
      })
      this.banfang = data;
    },
    setzuoyi(data) {
      data.value = data.value.map((item,index) => {
        item.unshift(index+1)
        
        return item
      })
      data.chart.series = data.chart.series.map((item) => {
        item.type = 'bar'
        item.barMaxWidth = 30
        return item
      })
      this.zuoyi = data;
    },
  },
});
